> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Admin List Hris Auto Invoice Settings

> Pages the org's contractors with auto-invoicing switches, eligibility verdict, amount preview and latest generation outcome.

Required scope: `invoices:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/admin-list-hris-auto-invoice-settings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/admin-list-hris-auto-invoice-settings:
    get:
      operationId: adminListHrisAutoInvoiceSettings
      summary: Admin List Hris Auto Invoice Settings
      x-toku-required-scope: invoices:read
      description: >-
        Pages the org's contractors with auto-invoicing switches, eligibility
        verdict, amount preview and latest generation outcome.


        Required scope: `invoices:read`. It also needs `compensation:read`.
      parameters:
        - name: roleInOrgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 200
            default: 50
        - name: search
          in: query
          required: false
          schema:
            type: string
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminListHrisAutoInvoiceSettingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AdminListHrisAutoInvoiceSettingsResponse:
      type: object
      properties:
        orgAutoInvoicingEnabled:
          type: boolean
        contractorPaySchedule:
          type: string
          enum:
            - MONTHLY
            - SEMI_MONTHLY
        rows:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type: string
              contractorName:
                type: string
              contractorEmail:
                type: string
              entityName:
                type:
                  - string
                  - 'null'
              rate:
                type: object
                properties:
                  amount:
                    type:
                      - string
                      - 'null'
                  type:
                    type:
                      - string
                      - 'null'
                  currency:
                    type:
                      - string
                      - 'null'
                required:
                  - amount
                  - type
                  - currency
              autoGenerateInvoice:
                type: boolean
              invoiceFrequency:
                type:
                  - string
                  - 'null'
                enum:
                  - WEEKLY
                  - BIWEEKLY
                  - MONTHLY
                  - SEMI_MONTHLY
                  - null
              autoSubmitInvoice:
                type: boolean
              autoApproveInvoice:
                type:
                  - boolean
                  - 'null'
              eligibility:
                type: object
                properties:
                  eligible:
                    type: boolean
                  reason:
                    type:
                      - string
                      - 'null'
                  structural:
                    type: boolean
                required:
                  - eligible
                  - reason
                  - structural
              amountPreview:
                type:
                  - object
                  - 'null'
                properties:
                  amount:
                    type: string
                  currencyCode:
                    type: string
                  lineDescription:
                    type: string
                  periodStart:
                    type: string
                  periodEnd:
                    type: string
                required:
                  - amount
                  - currencyCode
                  - lineDescription
                  - periodStart
                  - periodEnd
              latestGeneration:
                type:
                  - object
                  - 'null'
                properties:
                  outcome:
                    type: string
                  skipReason:
                    type:
                      - string
                      - 'null'
                  errorDetail:
                    type:
                      - string
                      - 'null'
                  periodStart:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - outcome
                  - skipReason
                  - errorDetail
                  - periodStart
                  - updatedAt
            required:
              - roleInOrgID
              - contractorName
              - contractorEmail
              - entityName
              - rate
              - autoGenerateInvoice
              - invoiceFrequency
              - autoSubmitInvoice
              - eligibility
              - amountPreview
              - latestGeneration
        totalCount:
          type: number
        page:
          type: number
        pageSize:
          type: number
        contractorSeatsWithoutProfile:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type: string
              contractorName:
                type: string
              contractorEmail:
                type: string
            required:
              - roleInOrgID
              - contractorName
              - contractorEmail
      required:
        - orgAutoInvoicingEnabled
        - contractorPaySchedule
        - rows
        - totalCount
        - page
        - pageSize
        - contractorSeatsWithoutProfile
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
